Bug 208219 - [PATCH] add PEAP-GTC wireless authentication
Summary: [PATCH] add PEAP-GTC wireless authentication
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR wishlist with 40 votes (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords: junior-jobs
: 242839 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-09-22 23:31 UTC by Jonathan Thomas
Modified: 2011-03-20 22:42 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to support GTC (2.80 KB, patch)
2009-12-06 23:39 UTC, Ravikiran Rajagopal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Thomas 2009-09-22 23:31:17 UTC
Version:           0.8 svn 1023224 (using KDE 4.3.1)
OS:                Linux
Installed from:    Ubuntu Packages

Up until recently, GTC security wasn't implemented in NetworkManger: https://bugzilla.gnome.org/show_bug.cgi?id=565065

It is now, though, so it would be nice if KNetworkManager offered this in the UI, as it is a not-uncommon security method in the academic/business world.

Original downstream report at https://launchpad.net/bugs/284211
Comment 1 Will Stephenson 2009-10-23 09:47:15 UTC
I'll add GTC once we get the fall distro releases out of the way
Comment 2 Will Stephenson 2009-10-23 10:00:03 UTC
Correction - _we'll_ add it.

To do this Junior Job, look in libs/ui/security/peapwidget.h and see how existing auth methods are defined (eg eapmethodsimple for username/password methods, eapmethodleap for a more complex method) and registered (peapwidget.cpp).  Then define a suitable eap method for GTC (extend eapmethodsimple if it is only username+password) and register it to the peap widget.
Comment 3 Ravikiran Rajagopal 2009-12-06 23:39:56 UTC
Created attachment 38884 [details]
Patch to support GTC

The patch adds support for GTC. The patch is not against SVN HEAD but should apply cleanly against it. Tested on PEAP-GTC network and it works with NetworkManager-0.7.996-6.git20091021 on Fedora 12 x86_64. Note that only the UI bits are added by this patch since the back-end support existed already.
Comment 4 Chris Fraser 2010-02-23 02:09:13 UTC
Thanks for patch, and please commit before next round of distro releases! Patch is almost definitely harmless in terms of regressions, and would make it easier for many people I know to connect to our uni's wireless, and I'm sure same situation applies for others. Thankyou!
Comment 5 Jan Rauberg 2010-06-07 09:31:28 UTC
I'm using KDE SC 4.4.4 in my Ubuntu 10.04, but the PEAP-GTC isn't implemented until yet. I wonder, why not? The bug or feature request is well known since months, but nothing is happened. Wicd or the Gnome-networkmanager had this feature implemented for a long time, but why not KDE?
Comment 6 Chris Fraser 2010-06-13 16:51:14 UTC
Will S seems to have forgotten about this, or is very sidetracked. Is there anyone else we could get to just merge the patch into the svn? Who are the other knm devs?
Comment 7 Jan Rauberg 2010-08-31 12:54:29 UTC
So, KDE 4.5 is on stage but no peap gtc. Gnome can do this, Windows 7 can do this, but not KDE? I couldn't believe it. Ok, I believe in wonders... They may happen...
Comment 8 Will Stephenson 2010-11-15 18:58:38 UTC
*** Bug 242839 has been marked as a duplicate of this bug. ***
Comment 9 Lamarque V. Souza 2011-03-20 22:42:30 UTC
Git commit d6b58f4eec3e680cb0eea04116ad72f707fa636c by Lamarque V. Souza.
Committed on 20/03/2011 at 22:41.
Pushed by lvsouza into branch 'master'.

Add PEAP-GTC wireless authentication.
Thanks Ravikiran Rajagopal for this patch.

BUG: 208219

M  +3    -0    libs/ui/security/eapmethodsimple.cpp     
M  +1    -1    libs/ui/security/eapmethodsimple.h     
M  +3    -1    libs/ui/security/peapwidget.cpp     

http://commits.kde.org/networkmanagement/d6b58f4eec3e680cb0eea04116ad72f707fa636c